# Get Linked accounts Retrieves the linked accounts belonging to the buyer that the logged-in user belongs to. Required user role: CONTROLLER Endpoint: GET /v1/linked_accounts Version: v1 Security: apiKey, authToken ## Response 200 fields (application/json): - `linkedAccounts` (array, required) - `linkedAccounts.id` (string, required) The unique identifier of the linked account Example: "652d25b73541d8084a88a38d" - `linkedAccounts.accountIdentification` (any, required) The bank details that uniquely identify the account on the banking systems. - `linkedAccounts.currency` (string, required) The primary currency associated with the account Enum: "GBP", "EUR" - `linkedAccounts.institution` (object, required) - `linkedAccounts.institution.displayName` (string) The name to be used when displaying the institution to users on user interfaces - `linkedAccounts.institution.countries` (array, required) The institution's supported countries Enum: "GB", "AT", "BE", "BG", "HR", "CY", "CZ", "DK", "EE", "FI", "FR", "DE", "GI", "GR", "HU", "IS", "IE", "IT", "LV", "LI", "LT", "LU", "MT", "NL", "NO", "PL", "PT", "RO", "SK", "SI", "ES", "SE" - `linkedAccounts.institution.images` (object) The images that should be used when displaying the institution - `linkedAccounts.institution.images.icon` (string) - `linkedAccounts.institution.images.logo` (string) - `linkedAccounts.institution.info` (object) - `linkedAccounts.institution.info.loginUrl` (string) - `linkedAccounts.institution.info.helplinePhoneNumber` (string) - `linkedAccounts.consent` (object, required) - `linkedAccounts.consent.expiresAt` (string, required) - `linkedAccounts.consent.expiresIn` (integer, required) - `linkedAccounts.consent.status` (string, required) Enum: "ACTIVE", "EXPIRED", "REVOKED" - `linkedAccounts.status` (string, required) The status of the linked account. The status can be one of the following: - PENDING_CHALLENGE: The Linked Account is pending challenge - PENDING_VERIFICATION: The Linked Account is pending the completion of the required verification steps - PENDING_FUNDING: Awaiting a wire transfer as part of the verification process when adding an account without Open Banking - REJECTED: The Linked Account did not pass one or more verification steps and is not eligible for use - LINKED: The linked account is linked and ready for use - UNLINKED: The linked account is not linked and cannot be used Enum: "LINKED", "UNLINKED", "PENDING_CHALLENGE", "PENDING_FUNDING", "PENDING_VERIFICATION", "REJECTED" - `linkedAccounts.friendlyName` (string) A user-friendly name for the linked account - `count` (integer) The total number of records (excluding the paging limit). - `responseCount` (integer) The total number of records returned in this response (always capped at 100). ## Response 400 fields (application/json): - `message` (string) When present helps to identify and fix the problem. - `syntaxErrors` (object) Is returned as part of an HTTP error response whenever a syntax error is detected. A list of the fields together with their syntax error will be provided. - `syntaxErrors.invalidFields` (array) - `syntaxErrors.invalidFields.params` (array) - `syntaxErrors.invalidFields.fieldName` (string) - `syntaxErrors.invalidFields.error` (string) Enum: "REQUIRED", "HAS_TEXT", "REQUIRES", "SIZE", "RANGE", "IN", "NOT_IN", "REGEX", "EXACTLY", "AT_LEAST", "AT_MOST", "ALL_OR_NONE" ## Response 403 fields (application/json): - `errorCode` (string) Enum: "INSUFFICIENT_PERMISSIONS" ## Response default fields (application/json): - `code` (string) - `message` (string) ## Response 401 fields ## Response 429 fields ## Response 500 fields ## Response 503 fields